0.45:

* Neue Feature :
    * Alle: Prioritäten festgelegt: für Interaktion = high und Jobs = low
    * General : Neue Funktion (restart) um xxv vom webinterface aus neu zu starten
    * Grab : Neuer Parameter:vpos um Schrift im Grabimage zu positionieren
    * CHANNELS : Gruppen hinzugefügt
    * USER : Bug(50) MaxLifetime und Prio für User
    * EPG : Bug(46) Previewimages in epg.display anzeigen
        * Unter Einstellungen->Epg kann man den Pfad zu den previewimages angeben.
        * Falls ein Bild vorhanden ist wird dieses in einem zusätzlichen Feld in
        * EPG.image eingeschrieben.
    * USER : Bug(69) IP Authentication in User
    * HTTPD : Bug(79) Übertragung mit gzip (wieder zurückgenommen, hatte nicht funktioniert)
    * Schema : rote Linie um die aktuelle Zeitposition besser zu erfassen
    * HTTPD/mlist: Bug(35) ToDo: Coverbilder des MP3 Plugins für Albumvorschau nutzbar, durch konfigurierbares Verzeichnis
    * VTX: Suchfunktion mit Highlighting der Fundstelle
    * RECORDS/AUTOTIMER : Bug(37) Fortschrittsbalken (Server-Push) für Update
    * HTTPD : Unterstützung von gepackten Websites (GZIP)
    * xxvd : Bei der Routine "After" kann jetzt über das dritte Argument die Reihenfolge angegeben werden.
    * TIMERS: Timer werden jetzt über das svdrp interface eingelesen
    * MUSIC: Bug(81) Alben und Interpreten sind verlinkt
    * CHANNELS/cedit: Reihenfolge der Kanäle editierbar (aber VDR 1.3.32)
    * Schema/Now/Next : wird jetzt nach den ChannelGroups angezeigt
    * General : Neuer Befehl more zum Anzeigen der Textfiles
    * LOGREAD : Neuer Befehl logger zum Anzeigen der Logfiles
    * html : neu Template logger.tmpl mit helptip.js und helptip.css
    * menu : neuer Tree Loginfo mit den Logs: xxvd.log, xxvd_mplayer.log und syslog
    * menu : neuer Tree Documentation mit den Files: $SOURCEDIR/*.txt
    * General : komplett neues loginterface, in Zukunft kann der Entwickler zwischen folgenden Levels unterscheiden:
        * debug : wird mit errorcode 250 (harmlos) ausgegeben
        * lg    : wird mit errorcode 202 (harmlos) ausgegeben
        * warn  : wird mit errorcode 305 (achtung) ausgegeben
        * error : wird mit errorcode 501 (problem) ausgegeben
        * panic : wird mit errorcode 550 (absturz) ausgegeben
    * General : dadurch hat sich das Logfileformat ein wenig geändert:
        * z.B.: "29 (201) [03:24:55] Dokumentation wurde in '/root/XXV/doc' generiert"
            - (Count)(Errorcode)(Zeit)     (Message)
    * xxvd : neuer Parameter --verbose = [0 .. 5]
        * verbose = 0: Keine Ausgabe
        * verbose = 1: panic und error Ausgabe
        * verbose = 2: debug,panic und error Ausgabe
        * verbose = 3: warn,debug,panic und error Ausgabe
        * verbose = 5: alle Informationen werden ausgegeben (kann sehr viel werden :)
        * verbose > 5: alle Informationen werden mit Stacktrace ausgegeben (kann sehr sehr viel werden :)
    * MUSIC : mcovers neuer parameter (force) zum trotzdem einlesen aller Covers wenn gewollt
    * OUTPUT : Ayax.pm erste Version von Ajax eingebaut
    * EPG (Bug93): display, now, program und search ...
        * per Ajax werden die Links für aufnahme gekennzeichnet um Konflikte gleich darzustellen.
        * im title wird dann die Timernumber erwähnt.
        * geht leider noch nicht im IE ;(
    * Tutorial : Neues Tutorial zum Nutzen des Ajax Features
    * REPORT : Neues NEWS::MAIL Modul und NEWS::RSS Modul
        * diese Module befinden sich ab jetzt in dem Ordner $SOURCEDIR/lib/XXV/OUTPUT/NEWS/*.pm
        * diese Module benutzen eigene Widgets die ab jetzt unter $SOURCEDIR/share/news/*.tmpl liegen
        * für RSS muss XML::RSS nachinstalliert werden
            + perl -MCPAN -e "install XML::RSS"
            + perl -MCPAN -e "install Digest::HMAC_MD5"
            + apt-get install libxml-rss-perl
        * Einstellungen können in allen Interfaces unter Einstellungen -> NEWS::* vorgenommen werden.
        * den RSS Feed kann man sich mit http://vdr:8080/?cmd=request&data=rss in einem beliebigen RSS-Reader anschauen
        * die Mail kann man sich mit http://vdr:8080/?cmd=request&data=mail im Browser anschauen

* Fixes :
    * TIMER : Statt neu erstellen eines fehlerhaften Timers wird dieser jetzt nur noch modifiziert.
    * USER : Telnet interface an IP Auth angepasst
    * USER : Warnung ausgeben, falls ein User versucht eine IP ohne Range anzugeben.
    * EPG/display : Wochentage für Start/Stop der Sendung werden übersetzt
    * HTTP/MUSIC/RECORDS/STATUS: Verzeichnis Preview aufgelöst und Modulweise konfigurierbar außerhalb der Skins verlagert (/var/cache/xxv/...)
        * Unter Einstellungen->
          * MUSIC   => coverimages (/var/cache/xxv/covers)
          * RECORDS => previewimages (/var/cache/xxv/preview)
          * USER(STATUS)  => tempimages (/var/cache/xxv/temp)
    * VTX/images : in ein gemeinsames Verzeichnis zusammemgefasst, damit nicht jeder Skin diese mitliefern muss.
      * Verzeichnis mit VTX Bildern per Kommandozeilenoption einstellbar
          default xxvd --vtxdir=$XXVBINDIR/../share/vtx
    * VTX einzelnen falsche Zeichen ausgeblendet
    * STATUS : Anzeige des PCI Buses nur wenn /proc/pci vorhanden ist
    * STATUS : Dateisystem mit '-' wie /dev/mapper/mylvm-lvol0 wurde nicht angezeigt
    * Templates : statt user.name nur user
    * AUTOTIMER: Timer-Beschreibung werden nachgeführt(erweitert),
                wenn sich der EPG-Text ändert. (nur wenn ~#AT[xx]) vorhanden ist)
    * WAPD: Funktionell leicht erweitert
        * Datenmenge von Listen (einstellbar per skin.cfg) auf 5 Cards pro Durchgang reduziert
        * Grundmenge der widgets angelegt
        * EPG now/+next/+program/+search
        * Timer tnew/tedit/tdelete
        * getestet mit wmlbrowser(Mozillaplugin)/ Klondike WAP Browser/ Opera/ www.wapsilon.com
           offene Probleme (Patch willkommen) :
           - bei Opera8.0 - falsche Vorauswahl in Selectfeldern (ivalue = Item * 1)
           - Caching der Eingabefelder muss noch deaktiviert werden...
                 bzw. deren WML-Page-Variablen beim Laden des Formular zurückgesetzt werden
           - Browserrequest produziert Unknown Request:
    * TIMERS: doppeltes einlesen der timerdaten bei list und ttoggle, fehlerhaftes verfahlten (Bug 83)
    * Html.pm : Es wird die interne c-Engine von Template genutzt (doppelt so schnell)
        * es wird eine entsprechende Warnung im Log ausgegeben wenn die langsame (mitgelieferte) Version
            von Template genutzt wird.
    * getCheckTimer übernimmt VPS Status
    * WAITer auf Bandbreitenschonenden Einsatz umgestellt
    * WAPD Bitmap Dateiendung auf wbm geändert
    * STREAM : Entfernen des ffserver stream gedöns
    * NEWS.txt : kleinere Änderungen
    * html/rlist : Title und subtitle sind in der tabellendarstellung auch verlinkt
    * html/rlist : Title und subtitle mit truncate gekürzt
    * General : 'log' auf 'lg' umbenannt
    * MUSIC : wenn alle covers schon vorhanden waren, spielte das getcovers verrückt
    * REPORT : RSS wieder rausgenommen
    * REMOTE : Bug 95: Das Darstellen des GRAB Bildes schlägt fehl.
    * General : Bug 94: Version wird jetzt mit Revision dargestellt: Version: 0.45(473).
    * General: Die Revisionsnummer wird jetzt von subversion geliefert.
            * Falls keine Subversion system vorhanden ist wird die letzte
              Revision von xxvd angezeigt.
    * NEWS::MAIL - vorgegebene replyadresse geändert da vom Server abgelehnt.
    * EPG/Schema: Bug(86) - Längere Sendungen mit gleichen Endzeitpunkt wie das Zeitfenster wurden nicht angezeigt

0.43:

* Neue Feature :

    * GRAB : Im  Vorschaubild können jetzt auch der title u.a. der gerade laufenden Sendung
             eingeblendet werden.
    * EPG : Neue Routine NowOnChannel um die gerade aktuelle Sendung auf einem Kanal zu erhalten.
    * xxvd : (after) Statusmeldung wird im Log ausgegeben, wenn ein after-callback gestartet wird
    * CHANNELS : Neues Feld GRP in Channels mit Id von CHANNELGROUPS
    * CHANNELS : Speichern der Channelgruppen in neuer Tabelle
    * RECORDS: TODO[36] Markierung von neuen Aufnahmen
    * CHANNELS : Kommandos zum Bearbeiten von Kanaldaten (cnew,cedit,cdelete)
    * REMOTE : neue Funktion cmd und cmdlist zum auslesen und ausführen der commands.conf
    * RECORDS/AUTOTIMER : Listen sortierbar
    * Autotimer: Erweiterung der Donelist => um bereits aufgenommene Sendungen
    * USER: Gruppen Kommando können gezielt verweigert, bzw. dadurch einfach Benutzerbezogen ausgeblendet werden
                        tlist => Timer betrachten (ta,tl)
                        alist => Autotimer betrachten (as,al)
                        rlist => Aufnahme betrachten (rl,rd,rs,pre,stt,sts)
                        mlist => Musik (ml ...)
                        tedit => Timer editieren (te,td,tn,tt,tu)
                        aedit => Autotimer editieren (an,ae,ax,ai,at,ad,au)
                        redit => Aufnahme editieren (re,rr,ru)
                        remote => Fernbedienung (r,sw,gr,gd,lst)
    * HTML:neues command <?% allow('tlist') %?>, gibt true zurück wenn es erlaubt ist,
                wird in dem menu template (help.tmpl) angewendet um inactive kommandos zu verstecken
                * Vollständige Umstellung des WML/HTML Template nach dem Elemente nach Userlevel ein- und ausgeblendet werden.
                    (IF userlevel > xx => IF allow('cmd')) damit werden jetzt inaktive Elemente auch ausgeblendet.
                * Template Variable userlevel entfernt.
    * USER:kompletter rewrite der commands check routinen, es reicht jetzt ein
                $user->checkCommand('delt')
    * HTML:question - an alle widgets können zusätzliche tags gesendet werden
                (param => {tags => ['disbabled','class=inactive', ...]})
    * html: nach logout, komplett refresh des Interfaces
    * html: im Footer wird jetzt der eingeloggte User angezeigt
    * ALL: RefereUrls werden beachtet (timerlist -> autotimeredit -> timerlist)
    * General: Restart des gesamten XXV Systems mit dem cmd restart
    * USER: neues cmd (uprefs) mit Usereigenen Settings sowie Passwortänderung
    * USER: UserPrefs werden vor AdminPrefs gesetzt
    * CHANNELS: neues Wigdet clist zum Editeren von Kanälen
    * VTX: Per Preferenzen deaktivbar

* Fixes :

    * xxvd : DB autoreconnect auf on geschaltet
    * HTTPD, WML, ... : Anpassungen an das neue Userhandling, siehe letzten Fix in Telnet.
    * TELNET : Wenn ein User eingeloggt war, kam kein Loginscreen in der nächsten Session.
                Der User-Hash wird jetzt immer in der Console mit abgespeichert und gilt nur für eine Session.
    * EPG : (readData) Fehlermeldung entfernt bei NoLine
    * MUSIC : (mrefresh) Fehlermeldung bei nicht vorhandenen Verzeichniss
    * MUSIC : (mrefresh) Sollten keine files gefunden werden wird mit Fehlermeldung reagiert
    * WAPD: now/tlist liefern nicht valides WML 1.1, mit http://www.validome.org/validate behoben (wilderigel)
    * EPG/TIMER/RECORDS: Integeroverflow in EventID => Alle ID Felder auf int(16) unsigned erweitert
        * sprintf-Ausgabe von IDs per unsigned int (docschneider)
    * HTTPD/mlist: Anzeige von Covern mit 'Sonderzeichen' im Titel
    * remote: kleines Speedup, nicht mehr automatisch nach jedem Tastendruck, eine Screenshot holen
    * html/rlist: Mehrfaches Löschen von Aufnahmen im Template verfügbar gemacht.
    * AUTOTIMER : Bug[16] Löschen von AT mit Singlequote (') nicht möglich (Sledge Hammer)
    * AUTOTIMER : Bug[72] : Man kann eine Startzeit angeben ohne das XXV meckert das es keine Endzeit gibt
    * HTML : Dokumentationsdarstellung wieder hergestellt
    * RECORDS Laufende Aufnahme wurden in rlist nicht angezeigt
    * RECORDS Bug[25] Behandlung von Aufnahmen ohne Subtitel ( ../_/*.rec) verändert um rekursive Listen anzeige zu verhinden.
    * WAPD:   Startseite index.tmpl in wapd.tmpl umbenannt, damit die Skinauswahl mit HTTPD nicht durcheinander kommt,
                        und Fehlbedienungen verhindert werden (PeterD)
    * RECORDS Bug[26] Aufnahmen - Übersicht Plattennutzung, verwendet jetzt offizelle Werte des VDR.
    * RECORDS Bug[70] XXV erkennt Aufnahmen bei VDR 1.3.26 nicht
    * Config: Bug[71] Beispiel etc/xxvd.cfg aktualisiert und von c't an Standard angepasst.
    * Music:  Import zeigte falsche Anzahl an neuen Dateien an.
    * Remote: Initialisierung des Modules schlägt fehl wenn commands.conf nicht existiert oder definiert ist.
    * User:   Inaktive Userverwaltung wurde nicht bei "checkCommand" berücksichtigt ( aktive != Aktive )
    * User:   Bug[68] Betrieb bei inaktiver Userverwaltung unmöglich.
    * Timer:  Zeilenumbrüche aus Timertitel entfernt, VDR mag dies nicht in SVDRP Protokoll
    * Alles: Basis-Berechtigungsgruppen [ guest (Betrachten),user (Editieren),admin (Verwalten) ] an einigen Stellen korrigiert
    * RECORDS: in NoVFAT Modus wurden Aufnahmen mit Symbolen von regulären Ausdrücken nicht erkannt ( +,*,[,],{,} )
    * RECORDS: unnötige Warnmeldung falls erste Aufnahmenzuordnungsversuch fehlschlägt entfernt.
    * Einsatz HTML:command <?% allow('tlist') %?> erstellt Nachrichtenschauer im log als unpriviligiert User.
                nur noch aktive Rechteverletzungen des Users werden als Logeinträgen vermerkt.
    * SVDRP: mehrere Commandos werden in einem Durchgang an svdrp geschickt
    * VTX: Bug[75] Nonregluäre Seiten wurden im Index merkt (wilderigel)
    * RECORDS: Ausgabe einer passenden Fehlermeldung falls eine Leseberechtung des Aufnahmeverzeichnisses fehlt, und dadurch die Zuordnung fehlschlägt
    * rdisplay: Darstellung der Schnittmarken korrigiert

0.42
    * Fix:      RECORDS: Bug[54] Geschnittene Aufnahmen tauchen in xxv::records nicht auf
    * Fix:      RECORDS: Bug[46] Previewbild Erzeugung berücksichtigt beim MPlayer nur 001.vdr
    * Fix:      contrib/create-database.sql legt jetzt auch dem MYSQL-Account für Datenbank xxv an.
    * Fix:      telnet/uedit: Bug[51] Änderung/Eingabe vom Passwort nicht möglich,
                telnet/uedit: Unveränderte Übernahme des alten Passwort wie in HTML nicht möglicht
    * Fix:      rdelete: Mehrfaches Löschen in reverser Reihenfolge,
                         Überprüfung ob ID überhaupt in DB vorhanden,
                         Sicherheitsabfrage für Telnet hinzugefügt
    * Fix:      ttoggle/tdelete: Funktionell vereinheitlicht, doppelte SQL-Abfrage entfernt.
    * Fix:      httpd: Standard-Skin wurde in der Konfigurationsauswahl nicht mehr angezeigt. (index.tmpl als Startseite)
    * Fix:      html-msg: alle Zeilen einer svdrp-Ausgaben wurden in eine gemeinsame Zeile zusammengefasst

0.41
    * Feature:  SVDRP: mehrere Kommandos können jetzt bei SVDRP command abgesetzt werden
                $svdrp->commando('delt 1', 'delt 2', ...); # rufe alle auf einemal auf

    * Feature:  SVDRP: mehrere Kommandos können mit queue_cmds gesammelt werden und mit einem Kommando aufgerufen werden:
                $svdrp->queue_cmds('delt 1');       # schick ein Cmd in die queue
                $svdrp->queue_cmds('delt 2');       # schick das nächste Cmd in die queue
                print $svdrp->queue_cmds('COUNT');  # Gibt '2' aus (2 Kommandos in der queue
                $erg = $svdrp->queue_cmds('CALL');  # Ruft alle Kommandos in der Queue auf.
                $console->msg($erg, $svdrp->err);   # Pseudiwidget das bei einem Fehler $console->err aufruft.

    * Feature:  SVDRP: Parsen der Ausgabe von SVDRP und farblicher Hinweis für den User wenn ein Fehler auftritt
                $console->msg($erg, $svdrp->err);   # Pseudiwidget das bei einem Fehler $console->err aufruft.

    * Feature:  HTML: bei question können jetzt auch Parameter für das Widget mitgegeben werden
    * Fix:      RECORDS: ab sofort werden auch die info.vdr berücksichtigt
    * Fix:      tlist: Nach Wiederholungen suchen hat bei autogetimten timern nicht geklappt
    * Feature:  RECORDS: Speichert jetzt auch die Description in OldEpg ab

0.40
    * Fix/Feature:   rlist: Aufnahmen werden vollständig nach Ordnerstuktur gruppiert, nicht mehr nur die erste Ebene
    * Fix/Feature:   alist: Autotimer werden nach Suchtext sortiert (vorgeschlagen von Wilderigel).

0.35

    * Fix:      TIMERS/tlist: Mehrere DVB Karten und deren Kollisionserkennung verbessert.
    * Fix:      RECORDS: Anzeige der Previewbilder auf gewählte Anzahl begrenzt, auch wenn mehr Bilder im Verzeichnis liegen
    * Fix:      xxv: wenn System-$CONFIGFILE (z.B. /etc/xxvd.cfg) schreibbar, wird dieses verwendet sonst ~/.xxvd.cfg
    * Fix:      Config: Warnmeldungen falls xxvd.cfg nicht schreibbar
    * Fix:      Timer: Bug[10] Timer wurden mit nicht aktiv Status angezeigt wenn sie mit vdradmin erzeugt wurden.

0.33
    * Feature:  xxv: Usereigenes Configfile in ~/.xxvd.cfg
    * Feature:  xxv: neues upgrade-xxv skript zum updaten der Datenbank von Tobias Grimm
    * Fix:      EPG: schema, etliche Darstellungsfehler von Hulk gefixt
    * Fix:      TIMERS: tlist, konflikte richtig dargestellt (Hulk)
    * Feature:  STREAM: neues Kommando: playrecord (rid) neuer Parameter: netvideo.
                Ist abgeschaut von dem ct'vdradmin, falls man sein videodir per samba
                oder nfs eingebunden hat und dieses unter Einstellungen->STREAM->netvideo
                eingetragen hat (z.B. '\\vdr\video' o. 'V:' o. '/netz/vdr', kann man sich
                hier die Aufnahme mit seinem favoriten player anschauen.
    * Feature:  STREAM: neues Kommando: livestream (cpos).
                Damit kann man sich (streamdev vorausgesetzt) den gewünschten Kanal auf
                dem Clientrechner anschauen.
    * Feature:  EPG: Neue tabellarische Ansicht (schema)
    * Feature:  RECORDS: Zusammenfassung aller Bearbeitungsschritte zu einem Kommando
    * Fix:      search: BUG[15] Suche Ergebnis Tag falsch
    * Fix:      HTTPD: Bug[12] Wenn man sich mit Logout abmeldet, kann man sich in den erscheinenden Userdialog nicht mehr anmelden. (Wilderigel)
    * Fix:      RECORDS: Vorschaubild vom mplayer skaliert nach aspect ratio des Films (erstes Frames is massgeben)
    * Fix:      RECORDS: mplayer Reduzierung der Logmeldungen im Protokoll
    * Fix:      RECORDS: Kommando Aufruf von vdr2jpeg zum erhalt es aspect ratio geändert, Achtung! vdr2jpeg-Update auf 0.0.7 notwendig
    * Fix:      RECORDS: Aufnahmen mit '?' wurden nicht angezeigt
    * Fix:      RECORDS: Löschen von summary.vdr/marks.vdr nicht möglich
    * Fix:      RECORDS: Geänderte summary.vdr wurde in rdisplay nicht angezeigt
    * Fix:      STATUS: IDE Cache-Größe der Laufwerke in MB (Sledge Hammer)
    * Fix:      RECORDS: insert useless 'mysql_insertid' entfernt
    * Fix:      RECORDS: rdescredit fehlende marks.vdr wurde mit falscher Fehlermeldung quittiert. (HFlor)
    * Fix:      RECORDS: summary.vdr und marks.vdr liessen sich nachträglich anlegen. (HFlor)
    * Feature:  CHANNELS: filterCA als Auswahlliste konfigurierbar
    * Feature:  Versionsnummer von xxv in den Oberflächen (neue variable in den templates 'version')
    * Fix:      GRAB: Version von GD wird geprüft und entsprechende Routinen aufgerufen
    * Feature:  Versionsnummer im comment der Tabellen untergebracht
    * Feature:  EPG: Anzeige des demnächsten laufenden Programmes
    * Feature:  Sprache der Benutzeroberfläche ist "one the fly" umschaltbar.
    * Feature:  TIMERS: Mehrere DVB Karten werden ünterstützt und bei der Collisionserkennung berücksichtigt.
    * Feature:  REPORT: Neues Modul um Reports zu erzeugen und diese dann auch per mail zu verschicken.
    * Fix:      AUTOTIMER: AutotimerId wird im timer mit abgespeichert.
    * Fix:      TIMER: AutotimerId in table eingebaut.
    * Fix:      TIMER: timestamp in table eingebaut.
    * Fix:      ROBOT: Automatischen Interval rausgenommen.
    * Fix:      ROBOT: Jobs wurden nicht geloescht.
    * Fix:      html: Header wird jetzt mit embedded style sowie js ausgegeben, dadurch xxv schneller.
    * Fix:      WAIT: Style sowie javascript werden jetzt korrekt eingebunden.
    * Fix:      MUSIC: Suchen mit Enter funktioniert nicht. (wilderigel)
    * Fix:      RECORDS: Bei eingebundenen Video partitionen wird deren Speicherplatz in rlist angezeigt.
    * Fix:      GRAB: Das er nur dann grabben tut wenn der RemoteScreen angezeigt wird.
    * Fix:      GRAB: Export des per GD manipulierten Bildes in der gewählten JPEG-Qualität.
    * Fix:      GRAB: GD2 erstellte Bilder sind palettebasiert.
    * Fix:      GRAB: Ungenutzte Parameter Intervall entfernt.

0.32
    * Fix:      EPG: Parameter für Laufzeiten nach "periods" umbenannt, um Verwechslungen mit timers zu vermeiden
                und in EPG/now.tmpl, als Parameter wieder eingefügt.
    * Fix:      USER: Standard user xxv wurde mit einem Standardskin in Prefs erstellt. (xpix)
    * Fix:      MUSIC: intervall für getCovers rausgenommen. User muss diesen Vorgang manuell starten. (xpix)
    * Feature:  TIMER: Timer werden in Ihrer Start sowie Endzeit nachgezogen falls sich diese im EPG verändern (xpix)
    * Feature:  html: timer kann editiert werden in running Now (xpix)
    * Feature:  html: Epg EIntrag werden bei runnningNow hervorgehoben falls ein timer dafür läuft (xpix)
    * Fix:      MUSIC: mrefresh gelöschte Dateien wurden nicht aus der DB ausgetragen (Hulk)
    * Fix:      TIMER: Veraltete Timern mit VPS wurden nicht gelöscht. (Hulk)
    * Fix:      TIMER: Neue Timer ließen sich sich nicht inaktiv bzw. VPS anlegen. (Hulk)
    * Fix:      HTTPD: Meldung über inactive Module etwas erweitert (Dejuh)
    * Fix:      AUTOTIMER: Wekkdays war auf NOT NULL gesetzt, dadurch gabs Probleme beim alten Import (Hulk)
    * Feature:  AUTOTIMER: Nur an bestimmten Wochentagen suchen lassen.

0.31
    * Fix:      now.tmpl: 2x 19% und 101% (HFlor)
    * Fix:      Bundle: GD::Graph und GD::Graph3D ergänzt
    * Fix:      MUSIC: list Anzeige von Titel mit Hochkomma,&,/,: schlägt fehl (wilderigel)
    * Fix:      TIMER: Timer mit Priorität/Lebenszeit von 0 wurden mit default Werten gespeichert.  (wilderigel)

0.30
    * Fix:      MUSIC: Suche nach cover an das neue Webdesign von allofmp3.com angepasst
    * Feature:  MUSIC: Redirect zur mlist nach CoverScan


    * Fix:      HTTP: HTTP-Header hatten doppelten Status 200/ bzw 200+401
    * Fix:      HTTP: ohne Login wurden trotz Abbruch Daten ausgeliefert
    * Fix:      HTTP: abfragen von nicht existierenden Daten werden mit Status 404 quittiert

    * Feature:  CHANNELS: clist - Tabelle sortierbar

    * Fix:      TIMERS:  Unterstützung des Datumsformat (vdr >= 1.3.23)
    * Fix:      STREAM: Pfad zum Record muss gequoted werden.

    * Feature:  add NEWS.txt

    * Feature:  alist.tmpl: Menupunkte für im und export der Autotimerdaten.
    * Feature:  Redirect nach Autotimer löschen anch alist.
    * Feature:  STREAM: dynamic Read von den Configfiles
    * Feature:  HTTPD: dynamic Read von den Skinsdir
    * Feature:  STREAM: neuer Parameter serverlog

    * Feature:  de.po um die fehlenden Übersetzungen ergänzt.
    * Feature:  in allen Templates (html) die gettext routine eingesetzt.
    * Feature:  Makefile: globbt jetzt alle *.pm und html/*.tmpl sowie html/widgets/*.html durch. Somit ist es
                möglich, auch bei den Templates eine Lokalisierung zu erreichen (<?% gettext("User") %?>)
    * Feature:  EPG: runningNow versteht jetzt auch unixtime
    * Feature:  EPG: runningNow,program können im Skin wie search EPG.description ausgeben, ermöglicht Ausgabe des Skins like vdradmin
    * Feature:  now.tmpl: Now Zeit kann jetzt auch per input field dargestellt werden.
    * Feature:  style.css: Hintergundfarbe ändert sich bei focus im Input-, Textarea- sowie Selectfield
    * Fix:      EPG,TIMERS: UNIX_TIMESTAMP statt englisches Datum im sql Statement für tlist,tsearch,program,search (<?% date.format(field, "%A, %x") %?>) um das Datum im jeweiligen lokalen Format auszugeben.
    * Fix:      CHANNELS: Logo Handling wieder rausgenommen ... zu sehr verhaspelt ;)
    * Fix:      list.tmpl: Wenn nur ein listeintrag ausgewählt wurde gibts probleme
    * Fix:      GRAB: temp filename wurde immer länger ;)
    * Fix:      now.tmpl: Percent jetzt als tabellen, jetzt stellt es auch der IE richtig dar.
    * Fix:      all templates: mit dos2unix bearbeitet.

    * Fix:      Bundle::Xxv ergänzt um Proc::Killfam und GD
    * Fix:      Standardfonts von xxv/html/fonts nach xxv/fonts verschoben, um sie in anderen Skins zu nutzen
                    - neuer xxvd parameter fontdir. z.B. nutzbar Debian xxvd -fontdir=/usr/share/fonts/truetype/
                    - Auswahlliste der gefundenen Fonts genutzt in GRAB / Status
                    - alle hardcodierten Fonts im template memory/filesys/network/vitals durch param.font ersetzt
    * Fix:      Kein richtiger Returnwert wenn modul deaktiviert wird.
    * Fix:      CHANNELS: XXV Kanalnummern falsch importiert, wenn in der Channels.conf Abschnitte mit
                neuen Nummernbereichen (z.B. ":@20 Regionalprogramme" ) versehen werden. (Ranga)

    * Feature:  Startseite im Skin kann über index.tmpl definiert werden
                    - template erhält Parameter 'start' mit gewählter Startseite
    * Feature:  program: Bei Aufruf ohne Parameter, wird die erste gültige Sender der Kanalliste gewählt
                    - template erhält Parameter 'current' mit aktueller Senderwahl
    * Fix:      uedit: Überprüfung auf undefinierten Wert des zweiten Feldes beim parsen von password.tmpl
    * Feature:  RECORDS Serien werden in Gruppen zusammengefasst dargestellt (poetter)

    * Update:   Autotimer: Reinclude ExtendedEPG (Siehe 0.16/0.16b Anpassungen an tvmovie in Autotimer (Friedhelm))
	* Update:  	WAPD, Initialimplementierung der Startseite (index.WML) und (tlist) TODO: Vervollständigung des WML-Template
    * Feature:  Running Now, Program Guide, Timers, ... Channel Logos (eventuell ein/ausschaltbar in Preferences)
                (Die Pfade zu den Logos werden erstmal in die Channeltable mit eingetragen)
    * Feature:  niedrigere Aufnahmeprioritäten für User einstellbar
                (Kann mit den Prefs Schalter vorbelegt werden TIMERS::Priority=30)
    * Feature:  Dienste an sowie ausschaltbar machen (in fast allen Modulen gilt active = (y|n)
    * Feature:  GRAB: 3D Effekt bei ttf fonts
    * Fix:      GRAB: neues bild /tmp/name_text.jpg wenn text angeschaltet ist
    * Fix:      tlist.tmpl: Timer wurden nicht verlinkt auf EPG Events

    * Feature:  GRAB: neue Parameter imgfontsize, imgfont
    * Feature:  Config (file|dir): Nur wenn required definiert ist wird auf vorhandensein von file|dir getestet
    * Fix:      Console (file|dir): nachgerüstet

    * Feature:  Anzeige des aktuellen Kanals (Senderlogo sieht man ja nicht immer)
                    - wird ins Remote bild mit eingezeichnet ;)
                    - kann durch Grab:imgtext eingestellt werden
                    - als variablen stehen z.Zt. nur channel zur Verfügung
    * Feature:  Added html/fonts directory to svn
    * Fix:      RECORDS: Löschen der alten Previewimages hatte nicht funktioniert
    * Fix:      list.tmpl: Kanalasuwahl war incorrect
    * Fix:      table.tmpl: Kosmetische Änderung
    * Fix:      tlist.tmpl: Link zum EPG Eintrag war incoreect

    * Feature:  remote.tmpl: Der Interval des refreshes lässt sich jetzt einstellen.
    * Feature:  Programm Guide, extra search feld für sendung suche auf dem channel.
    * Feature:  Beim Autotimer-Update wird die EPG-Fundstelle nur die ChannelID angezeigt,
                ich vermisse eine zusätzliche Anzeige des Sendernamen.
    * Feature:  Autotimer - Einstellung - exclude: Exclude-Kanalliste für um bestimme Kanäle bei Autotimern auzuschließen.
    * Feature:  Beim Autotimer-Update wird die EPG-Fundstelle nur die ChannelID angezeigt, ich vermisse eine
                zusätzliche Anzeige des Sendernamen
    * Feature:  Timer: die Priorität des Timer in Konfliktkonflikten kennzeichnen
    * Fix:      Channel Auswahl bei Autotimer war fehlerhaft
    * Feature:  Der Parameter der entscheidet wie lange eine Aufnahme lebt,
                sollte angezeigt und nachträglich veränderbar sein.
                    Realisierbar ist dies durch umbenennen des Aufnahmeunterverzeichnisses...
                    von /video/vdr/%Projekt:_Peacemaker/2005-01-22.22:35.50.14.rec
                    nach /video/vdr/%Projekt:_Peacemaker/2005-01-22.22:35.50.99.rec

    * Feature:  Die Standardroutine deleteDir ist jetzt in Tools integriert und steht somit in allen Modulen zur Verfügung.
    * Feature:  html Skin, fast überall automatische Weiterleitung eingebaut.
    * Feature:  Neue Routine main::toCleanUp! Hier können die Module bei beenden des xxv oder Logout bestimmte Callbacks ausführen
                um z.B. temporäre Dateien wegzuräumen.

    * Feature:  Neue Templates: vital.tmpl, network.tmpl, memory.tmpl, filesys.tmpl
    * Feature:  STATUS: Liniengraphen und pies bei memory, network und filesys. Hiermit kann man den
                Zustand der Maschine in letzter Zeit (Parameter: history) prüfen. Speicherverbrauch, Last usw.
    * Feature:  STATUS: Bestimmte Daten werden alle (Parameter: interval) Sekunden für einen
                bestimmten Zeitraum gespeichert und können später ausgewertet werden.
    * Feature:  rlist.tmpl: Free/Used als pie3dGraphimage
    * Feature:  HTML: Es können jetzt temporäre Bilder erstellt werden (html/temp/<username>/image.png)
                aus den Templates heraus. Eignet sich für PiCharts u.a.
                Example:
                <?%     USE gdc = GD.Constants;
                        USE im  = GD.Image(200,100);
                        black = im.colorAllocate(0  ,0,  0);
                        red   = im.colorAllocate(255,0,  0);
                        r = im.string(gdc.gdLargeFont, 10, 10, "Large Red Text", red);
                        file = writefile("status.png", im.png ) %?>
                <img src="<?% file %?>">

    * Feature:  neuer Parameter (previewcount).Wieviel Previewbilder sollen erstellt werden.
    * Feature:  xxv2jpeg integriert.

    * Fix: 	    TIMERS: tlist-> tsearch Ausgabe aneinander angeglichen

    * Feature:  Die Marks einer Aufnahme können bearbeitet werden. (rmarksedit)
    * Fix:      CHANNNELS: RID wurde nicht Korrekt geparst. (rmarksedit)

    * Feature:  Die Description der Aufnahme sollte bearbeitet werden können, und auch als summary.vdr
                gespeichert werden. (rdescredit)

    * Feature: 	Timer: list-> Anzeige der Wochentage
    * Fix: 	    Autotimer: list-> Anzeige beim Löschen eines Autotimers zeigte den kanal statt den Namen an

    * Feature: 	Autotimer/Timer: aedit/tedit-> Channel wählt nur anhand des Name die Selection aus, nicht anhand der POS
    * Fix:      TIMERS: new Timer, channel wurde im Pulldownmenu nicht richtig angezeigt(CatweazelG)
    * Fix:      RECORDS: transalte um ß erweitert(CatweazelG)

    * Fix:      Bei Aufnahmen, wo die Recordzeit kleiner als 5min ist, werden keine Marks angezeigt.
    * Feature:  eine schöne übersichtliche tabellarische Datenausgabe bei Records (Einstellung == No MPlayer)

	* Feature:  Autotimer können bestimmen ob Timer mit VPS und eigenem Vor- und Nachlaufangelegt werden
    * Fix:      Update der Table RECORDS funktionierte nicht

    * Feature:  Inaktive Timer nach Ablauf loeschen! (Nur Autotimer!)
    * Fix:      Absturz und immenser Speicherverbrauch nach Coversuche

    * Feature:  TIMERS: Timer verbinden mit einer EpgId -> getNextEpgId
    * Feature:  TIMERS: tlist an getNextEpgId angepasst
    * Feature:  Bei den timern hätte ich gerne die EPG beschreibung zum Timer.
    * Feature:  EPG: program,display,search > events mit Timer werden gekennzeichnet
    * Feature:  Anzeige der aktuell laufenden Timer, ähnlich dem der Anzeige im tlist

    * Feature:  HTTPD: neuer Parameter StartPage um die Startseite zu konfigurieren.
    * Feature:  Anzeigen der Schnittmarken zu den einzelnen Records
    * Feature:  Records: Anzeige "xx% Discspace Used"

    * Feature:  Einstellungen an User binden (z.B. Skins)
    * Feature:  Wie erfolgt im HTTPD ein Logout? Neues cmd logout in HTTP Interface.(xpix)
    * Fix:      USER: Password wurde wieder verschluesselt nach edit(xpix)

    * Feature:  New Robot Modul, see in Documentation.(xpix)
    * Feature:  Robot Modul take new Covers from Internet.(xpix)
    * Feature:  Music: new Parameter Hostname in Config.(wilderigel)
    * Feature:  Music: new Parameter Interval to refresh the MusicDb.(xpix)
    * Feature:  Music: new command mcovers to get album covers.(xpix)
    * Feature:  Channels: update wird ausgeführt wenn der User es will.(xpix)
    * Feature:  HTML: Processbar.(xpix)
    * Fix:      radio.tmpl: Vergleich hatte nicht gestimmt
    * Fix:      USER: nach einem Edit war der User immer auf guestlevel
    * Fix:      bin/xxvd: --kill killt auch die Kinderprozesse
    * Fix:      Unterstützung von Timer mit VPS-Status (>= VDR 1.3.5)

0.17l (Countdown zur Stable Version 0.20 ;)
    * Fix:      kleine kosmetische änderungen von Hulk (locale und backtolist links)

0.17k (Countdown zur Stable Version 0.20 ;)
    * Feature:  CONFIG: neues command configget (cg)
    * Fix:      AUTOTIMER: Suchen über Mitternachtsgrenze gefixt (endlich!!) (wilderigel)
    * Fix:      html: Anpassungen von wilderigel für ApacheProxy (gandalf)
    * Fix:      RECORDS: follow symbolic links angepasst (gandalf)
    * Fix:      INTERFACE: Jede Menge anpassungen um third party Tools laufen lassen zu können. (xpix)

0.17i
    * Fix:      logs: Beispiel für logrotate in etc/logrotate.d/xxvd (gandalf)
    * Fix:      RECORDS: Previews werden jetzt in einem fork einzeln abgearbeitet (wilderigel u.a. ;)
    * Fix:      MANPAGE: --version aktualisiert (Tobias Grimm)
    * Fix:      HTTPD: findskins scheint nicht zu funktionieren, find konnte keine symbolischen Links auflösen(xpix)

0.17h
    * Fix:      RECORDS: nice -19 bei mplayer (wilderigel)
    * Fix:      RECORDS: OLDEPG eventid > 1000000000 (Hulk)
    * Fix:      TIMERS: Back to timer list, after edit (xpix)
    * Fix:      EPG: runningNow zeigte noch die Vergangenheit an wenn die gewählte Zeit kleiner als now war(freeze)
    * Fix:      HTTPD: findskins scheint nicht zu funktionieren(Habib)
    * Fix:      CHANNELS: gibt es eine Überschneidung mit dem AUTOPID-Patch (Hulk)
    * Fix:      CHANNELS: Zeilenumbruch in RID entfernt (Xpix)
    * Fix:      TELNET: nach erfolglosem login ist der telnet server abgestürtzt (wilderigel)


0.17g
    * Fix:      Makefile: Versionsnummer wird beim maken eingesetzt (Hulk)
    * Fix:      RECORDS: Kleiner Fix in übersetzung.(wilderigel)
    * Fix:      RECORDS: Es wurden manchmal weniger als 3 Previewbilder erstellt.(xpix)
    * Fix:      AUTOTIMER: Fix in autotimer für finden von timern über mitternachtgrenze.(xpix)
    * Fix:      General: locale angepasst (Ronny Kornexl)
    * Fix:      General: runscript angepasst(Hulk)
    * Fix:      Channels: wenn eine SID doppelt ist, wird diese vom VDR um eine weiter Nummer (lt. vdr-5-manpage die RID) erweitert
    * Fix:      General: New commandline parameter --version (Xpix)

0.17f
    * Fix:      RECORDS: Ausführlichere Fehlermeldung im Log wenn ein Record nicht gefunden wird.(xpix)
    * Fix:      RECORDS: rrsearch - Dort sollte natürlich auch die Zeitausgabe in "Sekunden" erfolgen. (Hulk)
    * Fix:      CONFIG: Config aufgeräumt.(xpix)
    * Fix:      RECORDS: Neue Option 'No Mplayer' zum deaktivieren der Previewvorschau. (Tobias)
    * Fix:      General: Rename von bin/xxvd.pl nach bin/xxvd. (Tobias)
    * Fix:      in STATUS.pm Zeile 238 fehlt noch ein scalar() um den zweiten gethostbyname-Aufruf (Tobias)

0.17e
    * Fix:      RECORDS: Kleiner Fix in translate, endlich mit Hilfe von foobar, gandalf und wilderigel sowie Hulk den Fehler in tyranslate gefunden.
    * Fix:      RECORDS: Datum der Records war 1970. (Xpix)

0.17d
    * Fix:      RECORDS: rrename wurde auf das neue vfat Handling umgestellt(Xpix)
    * Fix:      RECORDS: Es wird versucht mit beiden Translate versionen (vfat = default und das Gegenteil) die Records zu lesen(Xpix)
    * Fix:      RECORDS: Anzeige der Dauer etwas schicker (Hulk)
    * Fix:      RECORDS: Testen ob file überhaupt existiert und dann size ermitteln (xpix)

0.17c
    * Fix:      CHANNELS: VDR man 5 states that the third field is TID when (NID != 0 && TID != 0), otherwise frequency (A. Hannula)
    * Fix:      RECORDS: Was lange wärt ... Überarbeitung der videoInfo Routine zum ermitteln der Länge eines Record (Hulk)

0.17b
    * Fix:      RECORDS: 24 Problem von wilderigel und gandalf (Hulk)
    * Fix:      RECORDS: Statt vdrsync wird du eingesetzt und anhand der Grösse die Laufzeit des Videos berechnet (Hulk)
    * Fix:      EPG: DBD::mysql::st execute failed: Column 'channel_id' cannot be null ....

0.17a
    * Fix:      REMOTE: Taste 0 jetzt aktiv (Translate 'Null' => 0) (gandalf)
    * Fix:      RECORDS: Aufnahmelänge wird jetzt mit vdrsync gelesen. Neuer PrefEintrag 'vdrsync'! (Hulk)
                (Falls keine Längen angezeigt werden, bitte eine ausgabe von vdrsync.pl $recorddir an mich schicken!)


0.17
    * Fix:      STATUS: Falsche Kapazität bei der Hardware anzeige (ide)
    * Fix:      EPG:Regelmässiges epurge einbauen.
    * Fix:      RECORDS:Versuch ohne gepatchten vdr die Laenge eines records anhand der mtime des index.vdr
                files herauszubekommen.
    * Fix:      RECORDS:Preview images werden als extra process erstellt.
    * Fix:      CONFIG:Doppelte ausgabe bei config speichern vermeiden. (Hulk)
    * Fix:      AUTOTIMER:Ich habe ein Problem mit den Autotimern: Im vdradmin hatte ich Timer mit Startzeit 22:00 und
                Endzeit 03:00 (halt irgendwann nachts). Wenn ich die so eingebe, dann werden sie vom xxv
                nicht gefunden.

0.16e
    * Fix:      Bessere Warnings wenn wichtige Dateien fehlen
    * Fix:      Pfade koennen jetzt auch ueber die Kommandozeile übergeben werden.


0.16d
    * Fix:      Endlich! Keine Warnings mehr bei Readline!
    * Fix:      Für DebianPaket, alle Pfade sind jetzt an einer Stelle. Die ersten Zeilen in xxvd.pl.
    * Fix:      Bessere Localisierung, dank an Hulk!

0.16c
    * Feature:  Anpassen der Logging Ausgabe (abschalten von Talking on session / Opened new http session )
    * Feature:  skin Verzeichnisse automatisch als Liste in config anzeigen
    * Fix:      Es gibt zwei neue Widget (dir.tmpl/file.tmpl), diese pruefen die Angaben für Verzeichniss- sowie
                Pfadangaben, ob diese Datein oder Pfade überhaupt existieren (diese müssten in die bestehenden Skins
                kopiert werden.
    * Fix:      Skins werden jetzt beim Start gesucht und dann per Pulldownmenu angeboten. Dabei wird ein Skin anhand des
                favicon.ico files erkannt. Ab jetzt wird nur noch der DirName angegeben also '../stone' -> 'stone'.
                (bitte denkt dran Eure alte xxvd.cfg dementsprechend abzuaendern:
                [HTTPD] -> HtmlRoot=html)
    * Fix:      Leichtere Einstellung des mplayer alt/neu als Pulldownmenu.
                (bitte denkt dran Eure alte xxvd.cfg dementsprechend abzuaendern:
                [RECORDS] -> "mplayercommand=MPlayer1.0pre5" oder "mplayercommand=MPlayer1.0pre6")
    * Fix:      channels.conf kommen mit extra spalte (noscan), wird ignoriert (Danke frix!)
    * Fix:      Autotimer ignorierte unter bestimmten Umstaenden die done Liste.
    * Fix:      geloeschte mp3's werden nicht in der DB geloescht.
    * Fix:      GPL File fehlt.

0.16b
    * Fix:      vergisst aber leider, das PID-File zu löschen, weswegen xxv sich beim nächsten Versuch weigert, zu starten.
                Vorher muss man das PID-File löschen. (sn123py)
    * Fix:      Patch von Friedhelm wieder rausgenommen da die Autotimerfunktion so dann nicht mehr funktioniert hatte.

0.16a
    * Fix:      Wenn xxv auf eine leere DB startet, dann versuchte Timers auf Channels zuzugreifen(Morone)

0.16 (start der Betaphase bis 0.19)
    * Feature:  Anpassungen an tvmovie in Autotimer (Friedhelm)
    * Fix:      DOCU: docu.tmpl ist jetzt im unterverzeichniss doc
    * Fix:      AUTOTIMER: Telnet/aedit, bei falscher Kanal wahl : Dieser Kanal 'test' existiert nicht! [ARRAY(0x8e59334)]
    * Fix:      AUTOTIMER: Telnet/aedit, undef von Kanal/Zeit/Mindestlänge nicht möglich (0 => defaultwert)
                (Hulk, das hast du schon gefixt oder?)
    * Fix:      HTML: question 'list.tmpl' : Immer ein leere Option anfang, warum ?
    * Unklar:   html/help.tmpl <?% name = 'XXV::MODULES::EPG'; timers = param.MODS.$name.timers %?>
		          Can't locate object method "timers" via package "XXV::MODULES::EPG" at lib/Template/Stash.pm line 650.
                (Kann ignoriert werden ... )
    * Fix:	    TELNET: Fehlermeldung beim Start im Log => use READLINE=> Term/ReadLine/Gnu.pm, Term/ReadLine/Perl.pm
                (Kann ignoriert werden ... )
    * Fix:      AUTOTIMER: Telnet/aedit, undef von Kanal/Zeit/Mindestlänge nicht möglich (0 => defaultwert)
    * Fix:      Records: 'select min(eventid)-1 from OLDEPG', Schlägt fehl wenn OLDEPG leer ist, liefert eventid = 0 für alle Aufnahmen
    * Fix:      Telnet: Login sollte sofort erscheinen und nicht erst nach der Eingabe eines Befehls
    * Fix: 	    EPG: Dummy Eintrag mit "No Title" (schien schon gefixt zu sein)
    * Fix:      Es scheint ein Leak zu geben. Nach ca. 7 Tagen waechst xxv auf 200MB --> EPG.pm => epurge

0.14g
    * Feature:  EPG: program/list Ausgabe Wochentags mit Tag und Montag
    * Feature:  search,msearch,tsearch,tsearch verwenden den selben Suchfunktionen und damit Syntax wie Autotimer "foo,-bar"
    * Fix	EPG: Kurzfilm,-Kurzschluss => AUTOTIMER Exlude-Suche funktioniert nicht wie erwartet mit aktiven EPG.description wenn Feld == NULL => default deshalb ("")
    * Fix: 	Skin: global.js Zeile 34 / Fehler: document.forms[0].elements[i] has no properties (Quadratkugel)
    * Fix       CHANNELS.pm filterCA per default deaktiviert (Thorsten Gehrig/steffx)
    * Fix:	xxvd.cfg Defaultwert der Sprache, ohne Fehlermeldung LANGUAGE=English
    * Fix:	xxvd.cfg Telnet-Port steht auf 8003 und ist lt. Dok. 8001 (Thorsten Gehrig)
    * Fix       CHANNELS.pm filterCA erkannte multible Filter nicht (Thorsten Gehrig)
    * Fix	CHANNELS.pm Access Field hatte falschen Datentyp int(11), es gibt CA Felder die Komma getrennt mehrere Werte haben.
    * Fix	CHANNELS.pm Aktualiserung der nach Änderung der channels.conf wurde nicht erkannt.
    * Fix	RECORDS: Mag kein ' in Titel => DBD::mysql::db selectrow_hashref failed: You have an error in your SQL syntax. ... near 's Cut)%'' at line 435.
    * Fix	RECORDS: Wenn Verzeichnis unerkannt, logeintrag => DBD::mysql::st execute failed: Column 'Path' cannot be null at lib/XXV/MODULES/RECORDS.pm line 270 (Thorsten Gehrig)

0.14f
    * Feature:  CHANNELS: Konfigurierbarer Filter für das Namensfeld, (default "short,long;provider" )
    	vdr 1.2.6 (Format "" or "long"). it show also all parts
    	vdr 1.3.10 (Format "short,long")
    	vdr 1.3.12 (Format "short,long;provider")
    	vdr 1.3.?? (Format "provider;short,long")
    	vdr 1.3.18 (Format "short,long;provider")
0.14e
    * Feature:  CHANNELS: Konfigurierbarer Filter für das CommonAccess Feld, Default: 0,1,2,3,4,32001 => 0=FTA, 1-4 DVB-Card,32001 Analogplugin (Komma getrennt) [ersetzt das confirm y/n für Verschlüsste Kanäle]
    * Feature:  RECORDS: rsearch: Ermöglicht das Suchen nach Aufnahme (-titel,-subtitel,-beschreibung)
    * Feature:  TIMERS: ttoggle: jetzt wie bei tdelete auch für mehrere Timer gleichzeitig möglich
    * Fix:      CHANNELS: Support für Analogplugin (ChannelID hat Format C-0-Freq-NID) (steffx)
    * Fix:      CHANNELS: cmd=cu Ausgabe der korrekten Anzahl bei "Schreibe 99 Kanäle in Datenbank."
    * Fix:      AUTOTIMER: aedit: Falsche Wert bei Lifetime, Fehler aus 0.014x
    * Fix:      AUTOTIMER: aedit: Start/Stop werden nur noch angezeigt wenn sie auch definiert wurden
    * Fix:      AUTOTIMER: aupdate: Start/Stop werden jetzt separat als Bedingung gewertet.
    * Fix:      AUTOTIMER: anew scannt nur noch den neuen AutotimerTimer, nicht mehr alle
    * Fix:   	Timer: tnew: Neue Timer ohne EPG werden mit Status/Day/Start/Stop werden mit Defaultwerten initialisiert
    * Fix:      TIMER: HTML/tnew/eventid Use of uninitialized value in substitution (s///) at lib/XXV/MODULES/TIMERS.pm line 281.
    * Fix:      EPG/TIMER: search/tsearch, suche nach Texten mit Singlequote '
    * Fix:      Console: Bearbeiten von Strings z.B. Telnet/aedit Start/Stopzeit im Format 'HH:MM' [CODE(0x8e63370)]
    * Fix:      Console: Bearbeiten von Listen z.B. Telnet/tedit  Can't use string ("KABEL1") as an ARRAY ref while "strict refs" in use at lib/XXV/OUTPUT/Console.pm line 194, <GEN3645> line 10.
    * Fix:      Übersetzung, lib/XXV/OUTPUT/*.pm sind jetzt auch lokalisiert
    * Fix:      "Unknown Request:" Ausgabe statt auf Konsole jetzt im Log

0.14d
    * Feature:  Config: Alle gefunden Übersetzungen werden jetzt als Auswahlliste in Config:General angezeigt.
    * Feature:  EPG: display zeigt auch Eintrage aus OLDEPG an
    * Develop:  script prepare/convert-translation durch locale/Makefile ersetzt
    * Develop:  locale/Makefile: Für weitere Sprachen erweitert, jetzt fehlt nur die Lokaliserung der "*.po" Dateien
    * Fix:	    TIMERS: Neue Timer über EPG werden im Skin auch als default als aktiv markiert timer->{Status} angepasst (Schönheitsfehler)
    * Fix:	    TIMERS: Unterstützung von Aufnahmetiteln mit Doppelpunkten (Norad)
    * Fix:      RECORDS: SearchEpgId berücksichtigte subtitle nicht, und lieferte damit falsche eventid
    * Fix:      RECORDS: Falsche Jahreszahl, MTIME != Aufnahmezeit (z.B. Aufnahme 31.12.2004 => Schnitt XX.XX.2005 => 31.12.2005) => parse 2005-01-16.04:35.88.99.rec
    * Fix:      RECORDS: rdisplay zeigt jetzt die richtige Startzeit an (vorher Stunde:Monat)
    * Fix:	    TELNET: Bei schliessen der Telnetsession - print() on closed filehandle GEN10 at /usr/lib/perl/5.8/IO/Handle.pm line 147.
    * Fix:	    VTX: Setzen der Anfangsseite im Template auf die Erste verhandene Seite im VTX-Index
    * Fix:	    VTX: Argument " " isn't numeric in int at lib/XXV/MODULES/VTX.pm line 970.
    * Fix: 	    Use of uninitialized value in substitution (s///) at lib/XXV/OUTPUT/Html.pm line 201.
    * Fix:      Undefined subroutine &Template::Plugin::File::getpwuid at called at Template/Plugin/File.pm line 104.

0.14c
    * Skin:     Html/wml: Neue Variable im Template "basedir" zum Testen im Skin auf Existenz des Previewbildes, um im Fehler Alternative zu ermöglichen
    * Skin:     Html/wml: Neue Variable im Template "userlevel" um Anmeldeabhängig das Template zu anzupassen (guest = Editieren ausblenden)
    * Fix:      TELNET/HTTPD/WAPD: cmd=help : es werden nur die Kommandos aufgelistet werden, für die der jeweilige anmeldete User berechtigt ist.
    * Fix:      TELNET/HTTPD/WAPD: widget/formstart.tmpl Reihenfolge der Überschrift korrigiert von <table><h1> nach <h1><table>
    * Fix:      RECORDS: Aufnahmetabelle wurde beim Start immer verworfen
    * Fix:      RECORDS: reinclude RecordStart on rlist
    * Fix:      DOC: Dokumentationsgeneration schreibt nach xxv/bin => fix: setzen des Ausgabeverzeichnisses pod2html --cachedir=/tmp
    * Fix:      User: allowCommand sperrt Kommandoausführung wenn Anwenderauthentifizierung deaktiviert ist
    * Fix:      Telnet: Anwenderauthentifizierung war nicht deaktiviert, obwohl dies konfiguriert war
    * Fix:      Telnet: Berechtigung der Kommandos bye => admin, reload => user
    * Fix:      Telnet: Kommando bye funktioniert nicht
    * Fix:      Übersetzung weiter vervollständig

0.14b
    * Feature:  Autotimer: Mindestlaufzeit(mike)
    * Feature:  RECORDS: Standardskin mit überlick als Thumbnaillist (xpix)
    * Feature:  USER: User Modul deaktivieren koennen (poetter)
    * Feature:  RECORDS: Extra Parameter mplayercommand für Optionstring wg. Parameteränderung im mplayer ab pre6 (poetter)
    * Fix:      USER: man konnte sich anmelden wie man wollte, Zugang wurde gewaehrt (dido)
    * Fix:      REMOTE: sollte als guest gesperrt werden. (Mindesten die RC-Buttons) (andreas)
    * Fix:      ist es Absicht das im Useraccount keine Autotimer editiert werden können? (andreas)
    * Fix:      tupdate ist direkt nur als Admin möglich (andreas)
    * Fix:      cmd=remote&data=Volume+ , funktioniert nicht (andreas)
    * Fix:      Übersetzung vervollständig (andreas)

0.13
    * Feature:  USER: Edit, delete and create User. The default user is 'xxv' with password 'xxv' (xpix)
    * Feature:  USER: Usermodul zur Authentifizierung. (xpix)
    * Feature:  MUSIC: Datenbank wird nur bei mrefresh geupdatet oder wenn die DB leer ist! (leifg)
    * Feature:  TIMER & AUTOTIMER: Default Lifetime und Priority ist jetzt konfigurierbar! (Andreas)
    * Feature:  MUSIC: Search funktion (msearch) eingebaut! (Andreas)
    * Fix:      MUSIC: DB Connect stirbt beim abspielen eines Titels (xpix & andreas)
    * Fix:      CHANNELS: parsen an die neue Channels.conf V1.3.x angepasst(xpix)
    * Fix:      HTTP: echte Headerfunktion von cgi lib(xpix)
    * Fix:      TIMERS: damit Timerkonflikte bei unterschiedlichen Sources ignoriert werden (Andreas)
    * Fix:      RECORDS: Rename Funktion wahr fehlerhaft! (Andreas)
    * Fix:      RECORDS: es kann auch keine reccmds.conf auf dem System existieren! (BlackKing)
    * Fix:      MUSIC: URI::Escape hatte im lib Ordner gefehlt! (BlackKing)
    * Fix:      TELNET: Term::Readline::Perl hatte im lib Ordner gefehlt! (xpix)


0.12
    * Feature:  WAPD Server vorbereitet(!) fuer unimatrix, OHNE FUNKTION!
    * Feature:  Timer werden nur noch als ueberlappend gekennzeichnet, wenn sie nicht auf dem gleichen
                Transponder liegen
    * Feature:  NEU: Music Plugin: Icecast Server, Managment, Playlists usw.
    * Feature:  MENU: Dhtml Hir.Menu um schneller auf die Funtionen zugreifen zu koennen
    * Feature:  NEU: STATUS Module (space, record ...). Hier wird alles angezeigt was relevant
                fuer die linux maschine ist. Die Daten koennen spaeter besser dargestellt werden,
                erstaml "nur" Tabellen.
    * Feature:  Records: Aufnahmen koennen jetzt mit entsprechenden Commands aus der reccmds.conf
                im interface aufgerufen werden. z.B. (Mark for DVD-Writer) (xpix)
    * Feature:  Autotimer suchen mit Ausschluss Search: Enterprise, -Voyager (xpix)
    * Feature:  Alle Module langsam Language faehig machen (andreas & xpix)
    * Feature:  Switch mit Channelnamen
    * Feature:  In now und program werden jetzt auch die Subtitle angezeigt wenn vorhanden(Andreas)
    * Feature:  Bei den Autotimern die Anordnung von title und subtitle den User ueberlassen. (emanuel)
    * Feature:  Records: Extra logfile fuer mplayer
    * Fix:      Subtitle und title werden in den Records wie vom user angegeben
                als oldepg abgespeichert (andreas)
    * Fix:      Records: Scheinbar wurden die Previewfiles mehrfach und doppelt erstellt, was eine lange
                Wartezeit nach rupdate ergab. (andreas)
    * Fix:      Autotimer sucht jetzt wenn start und stop angegeben wurde nur noch nach
                Sendungsbegin zwischen start und stop. (mike)
    * Fix:      Rename funktioniert nicht bei den Records die mit der Serienfuntion (Andreas)
    * Fix:      Fehlerhafte Eintraege nach mehreren Restarts, EPG Daten werden (erstmal)
                    bei restart geloescht.(xpix)

0.11
    * Feature:  Html/Preferences wird jetzt ein Link zur Doku des Modules angezeigt.
    * Feature:  das help commando unter Telnet kann jetzt auch mit dem Namen eines Modules
                aufgerufen werden, dann werden nur die commands angezeigt die das Modul beinhaltet.
                Also z.B. 'help vtx'.
    * Feature:  Dokumentation wird jetzt automatisch generiert(xpix).
    * Feature:  Neues Kommando 'doc', dieses erstellt doku files aller Module
                in dem Directory doc/*.pod. Ausserdem kann man sich mit 'doc modulname' die
                entsprechende Dokumentation ansehen :)
    * Feature:  Configscreen fuer General.
    * Feature:  Neues Widget: password.
    * Feature:  Preferences: Einen Skinwechsel "on the fly" moeglich machen
    * Feature:  Autotimer: mit atoggle(at) kann jetzt ein AT deaktiviert o. aktiviert werden. (xpix)
    * Feature:  Autotimer list: nicht aktive AT werden jetzt gekennzeichnet. (xpix)
    * Feature:  VTX ist jetzt perl only (Andreas)
    * Feature:  StartStop Skript einbauen
    * Feature:  Multilingualer Unterstützung in den Modulen (vorerst nur VTX).(Dank an Andreas)
    * Feature:  Timer die Konflikte erzeugen, kenntlich machen.(xpix)
    * Feature:  Timer Liste Channels verlinkt auf program. (xpix)
    * Feature:  Autotimer Liste angepasst. (xpix)
    * Feature:  Autotimer mit Start und Stop Zeiten. (Emanuel)
    * Feature:  Timer die deaktiviert sind kenntlich machen.(xpix)
    * Feature:  Records werden jetzt je nach VFAT=0|1 beim kompilieren sicher gefunden.(andreas)
    * Feature:  Records werden jetzt auch bei symlink verarbeitet.(andreas)
    * Fix:      Mplayer vorschau angepasst fuer mehr Previews.(andreas)
    * Fix:      Loeschen der Timer -> redirect in Status Frame und Liste anzeigen.(xpix)

0.10
    * Feature:  Timer die gerade aufgenommen werden, kenntlich machen.(xpix)
    * Feature:  RECORDS: Umbennenen von Records (andreas)
    * Feature:  Es existiert jetzt ein globales Javascriptfile $htmlRoot/javascript/global.js.(xpix)
    * Feature:  CHANNELS: Neue Option mit/ohne encrypted channels (andreas)
    * Feature:  TIMERS: Delete Dialog verbessert (xpix)
    * Feature:  Html: neues Template redirect aufrufen mit $console->redirect('url', 'timeout in sec') (xpix)
    * Feature:  Html: neue routine browser fuer metadaten (Referer usw...) (xpix)
    * Feature:  Ausgabe Module: neue routine typ, gibt den typ zurueck (HTML, TELNET, ...) (xpix)
    * Fix:      RECORDS:253 Regex fuer records geht immer noch net richtig(andreas).
    * Fix:      Andere Loeschmethode bei Previewimages (hulk, wastl)

0.09:
    * Feature:  PreviewImages der Aufnahme (ersten 5min) in RECORDS (braucht mplayer)
    * Feature:  Es wäre sehr praktisch wenn die Ausgabe der Timer, nach zeitlichen Reihenfolge und
                nicht nach Datenbankposition erfolgt.(andreas)
                (puhh eine harte Nuss, aber geloest ;)
    * Feature:  Timer die neu legt werden (auch über Autotimer) sollten eine
                definierbaren Vor- und Nachlauf bekommen.(andreas)
    * Feature:  Ebenfalls sehr sinnvoll würde ich es finden wenn die Ausgabe des Timerstart und Endzeiten im
                besser lesbaren HH:MM Format erfolgt.(andreas)
    * Feature:  fuer die menuepunkte 'running now' und 'program guide'
                waere ein button/link 'update epg now' oder so zu empfehlen.(wastl)
                (Da der EPG Scan je nach rechnerleistung eine Weile braucht muss aber hier
                 mit einigen Minuten gerechnet werden, bevor man die neuen Daten sieht!)
    * Fix:      Loeschen der alten EPG daten nach einem tag (configurierbar)
                wenn sie nicht in der record liste sind.
    * Fix:      Nun endlich, das favicon.ico ist da ;) Wer da mal ein schoeneres bauen moechte?
                Alle Virtuellen Pinselschwinger sind herzlich willkommen ;)
    * Fix:      für "Records" (rupdate) muss wohl ein Patch im VDR aktiv sein, der bei "LSTR"
                zusätzlich die Abspiellänge liefert..., mit einen normalen ungepatchten VDR werden keine Aufnahmen erkannt.
                Das Format hier : 250-5 07.08 02:55 Titel~Subtitle
                (bitte testen, ich hab hier leider nur einen gepatchten vdr)


0.08:
    * Feature:  RECORDS Module (delete, rename and command to record)
                - nur teilweise fertig!
    * Feature:  Reconfiguration beim HUP Signal
    * Feature:  CONFIG Module (change online cfg)
    * Feature:  display.tmpl add a record link
    * Feature:  EPG: now: mit Zeitangaben
                - in now koennen jetzt Datenangaben gemacht werden wie '20:15' oder 'tomorrow 15:00'
                - Syntax: http://search.cpan.org/~sbeck/DateManip-5.42a/Manip.pod
    * Fix:      EPG, laut andreas gehen EPG Infos verloren da die epgID nicht unique von Sender zu Sender ist
                - epg id ist jetzt SID.EPGID also zb. sid = 28007 und epgid = 57011 ergibt eine epgid: 2800757011
    * Fix:      EPG: Daten werden sofort nach dem Start repariert
    * Fix:      EPG: Scheinbar werden Daten direkt in epg.data geaendert (ohne tail)
                - alle x Stunden einen Fullscan machen
                - neuer Config eintrag restart in stunden fuer restart

0.07:
    * Fix:      Channels: clist: Suchfeld von id auf Name geaendert, somit
                kann man jetzt nur bestimmte Sender sich auflisten lassen:
                    clist Erste
    * Fix:      VTX: Andreas hat noch wichtige Bugfixes eingebaut!
                Dadurch wurde die Konfiguration unter dem Bereich VTX erweitert.
                    Eingesetzter Cachemodus des VDR-osdteletext-Plugins
                    "legacy"
                    > für ältere Versionen bis osdteletext-0.3.2
                    (für das traditionelle "one-file-per-page" System.)
                    "packed"
                    > für neuere Versionen ab osdteletext-0.4.0
                    (default, für das "one-file-for-a-few-pages" System.)

    * Fix:      EPG: der befehl 'program' kann jetzt entweder mit dem Name
                oder der Positionsnummer aufgerufen werden. Danke an Markus!
    * Feature:  Remote: Livebild refresht wenn der User ein Funktion aktiviert
    * Feature:  Remote: Livebild refresht jetzt alle 5 Sekunden
    * Feature:  HTML: Etliche Anpassungen der einzelnen Templates
    * Feature:  Autotimer werden nach dem Speichervorganfort gesucht
    * Feature:  Outputmodule: neues Widget Checkbox
    * Feature:  Outputmodule: neues Widget multiple Liste
    * Feature:  Autotimer selektiv fuer bestimmte Kanaele (Andreas)
    * Feature:  Remote: neues command switch.
    * Feature:  Screenshot refreshen wenn Remotetaste gedrueckt.
    * Fix:      Echte HTTP Header
    * Fix:      Autotimerliste werden die channels mit namen angezeigt

0.06:
    * Fix:      Numerische Channelauswahl in program (danke an AB)
    * Fix:      Standard Telnetport ist jetzt 8005

0.06:
    * Feature:  Link zu add timer in timer und autotimer web interface
    * Feature:  Refresh der Daten in channels und timer wenn entsprechende Dateien geaendert worden sind.
    * Fix:      Keine Fehlermeldung wenn falsche URLs aufgerufen wurden.
    * Fix:      Interface wieder hergestellt, hatte sich verhalten wie TelnetServer.

0.05:
    * Feature:  PID Handling usw.
    * Feature:  Neues Plugin REMOTE
    * Fix:      Logging ist jetzt unbuffered
    * Fix:      VTX: Handling von subpages verbessert (danke Andreas)

0.04:
    * Feature:  Neue HTML Templates fuer Webinterface
    * Feature:  Messages und warnings gehen jetzt in ein Logfile (xxvd.cfg: General/LOGFILE)
    * Feature:  PID wird jetzt abgespeichert (xxvd.cfg: General/PIDFILE)
    * Feature:  xxvd forkt sich und gibt die PID aus
    * Feature:  Sinnvollere Anzeigen bei vielen Funktionen (display, now etc.pp)
    * Feature:  Neues Videotext Plugin (VTX)
        Einen grossen Dank an Andreas Brachold der dieses Plugin entwickelt hat!
    * Fix: Bei neuem Timer mit EPG Daten als defaults kam xxv voellig durcheinander
    * Fix: Die Position der Channels fing erst bei 2 an zu zaehlen
    * Fix: Tempfiles (grab) werden jetzt wirklich geloescht
    * Fix: Endlosschleife wenn die Ports mit nmap gescannt wurden
        (danke an nibbana der den Fehler endeckt hat)

0.03:
    * Feature:  Neue HTML Templates fuer Webinterface
    * Feature:  Bevor ein neuer EPG Eintrag gespeichert wird, werden alte mit gleichem Channel und Starttime geloescht
    * Feature:  Neues Plugin GRAB, liest Livebild per svdrp Interface vom VDR und zeigt es an. (nur HTTPD)
    * Fix: Timers - es konnte kein MDMDFSS@2004-01-01 eingegegen werden.
    * Fix: Timers - unnoetiger Zeilenumbruch bei Summary
    * Fix: Timers - yes/no Antwort hatte falsches Default(0/1)

0.02:
    * Fix: SQL Error wenn kein title definiert ist
    * Fix: Wenn Autotimer oder Timer editiert, dann wurde ein neuer angelegt
    * Fix: Fehler im Messagehandling unter Console

0.01:
    * First Version
